com.sun.jna.platform.win32

## Interface DsGetDC

- All Superinterfaces:
    AltCallingConvention, Library, StdCall, StdCallLibrary

      public interface DsGetDC
      extends StdCallLibrary

  Ported from DsGetDC.h. Windows SDK 6.0a
  Author:
    dblock[at]dblock.org

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `DsGetDC.DOMAIN_CONTROLLER_INFO` The DOMAIN_CONTROLLER_INFO structure is used with the DsGetDcName function to receive data about a domain controller.
    `static class` | `DsGetDC.DS_DOMAIN_TRUSTS` The DS_DOMAIN_TRUSTS structure is used with the DsEnumerateDomainTrusts function to contain trust data for a domain.
    `static class` | `DsGetDC.PDOMAIN_CONTROLLER_INFO` Pointer to DOMAIN_CONTROLLER_INFO.

    - ### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

      `StdCallLibrary.StdCallCallback`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DS_DOMAIN_DIRECT_INBOUND` Domain is directly trusting.
    `static int` | `DS_DOMAIN_DIRECT_OUTBOUND` Domain is directly trusted.
    `static int` | `DS_DOMAIN_IN_FOREST` Domain is a member of the forest.
    `static int` | `DS_DOMAIN_NATIVE_MODE` Primary domain is running in native mode.
    `static int` | `DS_DOMAIN_PRIMARY` Domain is the primary domain of queried server.
    `static int` | `DS_DOMAIN_TREE_ROOT` Domain is root of a tree in the forest.
    `static int` | `DS_DOMAIN_VALID_FLAGS` Valid domain flags.

    - ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

      `FUNCTION_MAPPER, STDCALL_CONVENTION`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

- - ### Field Detail

    - #### DS_DOMAIN_IN_FOREST

          static final int DS_DOMAIN_IN_FOREST

      Domain is a member of the forest.
      See Also:
        Constant Field Values

    - #### DS_DOMAIN_DIRECT_OUTBOUND

          static final int DS_DOMAIN_DIRECT_OUTBOUND

      Domain is directly trusted.
      See Also:
        Constant Field Values

    - #### DS_DOMAIN_TREE_ROOT

          static final int DS_DOMAIN_TREE_ROOT

      Domain is root of a tree in the forest.
      See Also:
        Constant Field Values

    - #### DS_DOMAIN_PRIMARY

          static final int DS_DOMAIN_PRIMARY

      Domain is the primary domain of queried server.
      See Also:
        Constant Field Values

    - #### DS_DOMAIN_NATIVE_MODE

          static final int DS_DOMAIN_NATIVE_MODE

      Primary domain is running in native mode.
      See Also:
        Constant Field Values

    - #### DS_DOMAIN_DIRECT_INBOUND

          static final int DS_DOMAIN_DIRECT_INBOUND

      Domain is directly trusting.
      See Also:
        Constant Field Values

    - #### DS_DOMAIN_VALID_FLAGS

          static final int DS_DOMAIN_VALID_FLAGS

      Valid domain flags.
      See Also:
        Constant Field Values

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.